import { View, Image, Text } from "@tarojs/components";
import { transferImage } from '@/utils/tools'
import dayjs from 'dayjs'
import emptyImg  from '@/assets/empty.png'

import './index.scss'

export default function HouseCard(props) {
  const {
    buildingName,
    blockName,
    unitName,
    roomName,
    price,
    createDate,
    status,
    buildingImgList=[],
  } = props.summary || {}

  const title = `${buildingName} ${blockName} ${unitName} ${roomName}`
  const thumb = (buildingImgList || []).length ? transferImage((buildingImgList)[0].url) : emptyImg
  const showDT = dayjs(createDate).format('YYYY/MM/DD')

  return (
    <View className="housecard">
      <View className="head">
        <Image className="thumb" src={thumb} mode="aspectFit" />
      </View>
      <View className="body">
        <View className="badge">已预选</View>
        <View className="title">{title}</View>
        <View className="subtitle">
          <Text>现价</Text>
          <Text className="red">{price || '待定'}</Text>
        </View>
        <View className="meta">{showDT}预选</View>
        <View className="sign bg-success"></View>
      </View>
    </View>
  )
}
