import { View } from "@tarojs/components";
import HotBlock from "../HotBlock";
import './room.scss'

export default function Room(props) {
  const { roomName, heat, realHeat, price, apartmentName } = props.dataset || {}
  const personNum = `(${realHeat + heat + 0}人)`

  const handleClick = () => {
    if (props.onClick) {
      props.onClick(props.dataset || {})
    }
  }

  const wanY = Number(price / 10000).toFixed(0)

  return (
    <HotBlock number={heat + realHeat + 0}>
      <View className="room" onClick={handleClick}>
        <View className="warn">{roomName}</View>
        <View className="warn">{personNum}</View>
        <View className="info">{wanY}万</View>
        <View className="info">{apartmentName || 'A户型'}</View>
      </View>
    </HotBlock>
  )
}
