import Taro, { Component } from '@tarojs/taro'
import { View, ScrollView } from '@tarojs/components'
import HouseCard from '../../components/HouseCard'
import { queryPreselectionRecord } from '@/services/project'
import { connect } from '@tarojs/redux'
import ready from '@/utils/ready'
import Blank from '../../components/Blank'
import './index.scss'

@connect(
  ({ user }) => ({ ...user })
)

export default class Records extends Component {
  config = {
    navigationBarTitleText: '选房记录'
  }

  state = {
    recordList: []
  }
  componentWillMount() {
    ready.queue(() => {
      console.log(this.props, "hhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhh")
      const { userInfo: { person: { personId } } } = this.props
      const params = {
        personId,
        pageNum: 1,
        pageSize: 999,
      }
      queryPreselectionRecord(params).then(res => {
        this.setState({
          recordList: res.records || []
        })
      })
    })

  }

  render() {
    const { recordList } = this.state

    return (
      <View className="records" >

        {
          !recordList.length ? <Blank tips="暂无预选记录" /> :
            <ScrollView scrollY>
              {
                recordList.map((item) => {
                  return (
                    <View className="carditem" key={item.preselectionRecordId}>
                      <HouseCard summary={item} />
                    </View>
                  )
                })
              }
            </ScrollView >
        }

      </View >
    )
  }
}
