import { ROLE_CODE } from '@/constants/user'

const icons = {
    shop: require('@/assets/index/mall-icon.png'),
    encyclopedia: require('@/assets/index/encyclopedia-icon.png'),
    recommend: require('@/assets/index/recommend-icon.png'),
    map: require('@/assets/index/map-icon.png'),
    calculator: require('@/assets/index/calculator-icon.png'),
    Highlyrecommented: require('@/assets/index/recommend.png'),
}

const DRIFT = ROLE_CODE['DRIFT']
const CUSTOMER = ROLE_CODE['CUSTOMER']
const CONSULTANT = ROLE_CODE['CONSULTANT']
// const ESTATE_AGENT = ROLE_CODE['ESTATE_AGENT']
// const CHANNEL_AGENT = ROLE_CODE['CHANNEL_AGENT']

const menus = [

    {
        name: '赚积分',
        url: '/pages/shop/index',
        icon: icons.shop,
        switchTab: true,
        iconCode: 'integralMall',
    },
    {
        name: '购房须知',
        url: '/pages/policy/index?from=mine',
        icon: icons.encyclopedia,
        iconCode: 'buyingEncyclopedia'
    },
    {
        name: '推荐客户',
        url: '/useless/pages/agent/recommend/index?type=index&cityId=',
        icon: icons.recommend,
        iconCode: 'refercustomers',
        city: true,
    },
    {
        name: '选好房',
        url: '/pages/project/map/index',
        icon: icons.map,
        iconCode: 'findRoom'
    },
    {
        name: '重点推荐',
        url: '/pages/project/highlyRecommented',
        icon: icons.Highlyrecommented,
        iconCode: 'Highlyrecommented'
    },
    {
        name: '算房贷',
        url: '/pages/toolKit/index',
        icon: icons.calculator,
        iconCode: 'MortgageCalculator'
    },

    {
        name: '楼盘列表',
        url: '/pages/project/list/index',
        icon: icons.buildingList,
        iconCode: 'PropertyListing'
    },
    {
        name: '活动资讯',
        url: '/pages/activity/activity',
        icon: icons.calculator,
        iconCode: 'EventInformation',
        switchTab: true,
    },
    {
        name: '热门活动',
        url: '/pages/activity/activity',
        icon: icons.activity,
        iconCode: 'Popularactivities',
        switchTab: true,
    },
    {
        name: '最新资讯',
        url: '/pages/activity/activity',
        icon: icons.news,
        iconCode: 'LatestInformation',
        switchTab: true,
    },
    {
        name: '我的客户',
        url: '/useless/pages/agent/client/index',
        icon: icons.myGuest,
        iconCode: 'Myclient',
    },
    {
        name: '我的活动',
        url: '/pages/activity/myActivity?from=mine',
        icon: icons.activities,
        iconCode: 'MyActivities'
    },
    {
        name: '我的助力',
        url: '/pages/activity/assistancePage',
        icon: icons.help,
        iconCode: 'Myhelp'
    },
    {
        name: '我的拼团',
        url: '/pages/activity/assemblePage',
        icon: icons.group,
        iconCode: 'Mygroup'
    },
    {
        name: '我的收藏',
        url: '/pages/person/favorite/index',
        icon: icons.collection,
        iconCode: 'MyFavorites'
    },
    {
        name: '我的资料',
        url: '/useless/pages/person/profile/index',
        icon: icons.profile,
        iconCode: 'MyInformation'
    },
    {
        name: '我的消息',
        url: '/pages/im/list/index',
        icon: icons.chatList,
        iconCode: 'Mymessage'
    },
    {
        name: '兑换记录',
        url: '/useless/pages/shop/record/index',
        icon: icons.exchange,
        iconCode: 'Exchangerecords'
    },
    {
        name: '意见反馈',
        url: '/useless/pages/person/feedback/index',
        icon: icons.feedback,
        iconCode: 'Feedback'
    },


]

export { icons, menus }